Attribute VB_Name = "COMMONS"
Option Explicit

'most variables are double-precision for maximum accuracy
'please review the Finding_Lucky_Times.frm Form_Load event for more definitions and assignments

DefDbl A-Z

Global AngleGraphWindowTop%, AngleGraphWindowLeft&, AngleGraphWindowHeight%, AngleGraphWindowWidth&
Global HitGraphWindowTop%, HitGraphWindowLeft&, HitGraphWindowHeight%, HitGraphWindowWidth&
Global hits() As Integer, name_on_graph$, date_to_use$

Global excel_column_width%
Global excel_running As Boolean
Global cancel_excel As Boolean

Global person_name_1 As String, person_name_2 As String

Global JDs_to_process() As Double, num_JDs As Integer
Global Result_JD_p1_cross As Double
Global Result_JD_p2_cross As Double

Global p1_pos_dl As Double, p1_pos_later_dl As Double
Global p2_pos_dl As Double, p2_pos_later_dl As Double

'variables taken from SE_Aspectarian
'0 = transit planet
'1 = aspect made        (z = 1 to 14 is longitude, z = 15 or 16 = declination)
'2 = transit/natal planet
'3 = date and time ("mm/dd/yyyy hh:mm:ss")
'4 = 0 if t. to n. aspect, 1 if t. to t. aspect, 2 if lunar mansion (Nakshatra) to t.
'      3 means transit planet to natal midpoint, 4 means transit midpoint to natal midpoint
'5 = longitude pos. of p1
'6 = longitude pos. of p2
'7 = speed of p1 (either in longitude or declination)
'8 = speed of p2
'9 = JD of exact aspect
'10 = "d" if declination aspect
'11 = not used
Global aspects$(), num_aspect_elements%, num_aspects%
Global num_found_aspects%

Global grid_aspects$(), grid_asp$(), num_grid_aspects%

Global p1 As Integer, p2 As Integer

Global true_ascendant As Double

Global current_speed As Double, p1_current_speed As Double, p2_current_speed As Double
Global p1_exact_speed As Double, p2_exact_speed As Double

Global p1_pos As Double, p1_pos_later As Double, p2_pos As Double, p2_pos_later As Double

Global aspect_sep!

Global sep_t0 As Double, sep_t1 As Double

Global jd_increment As Double, Result_JD As Double, JDDate$, JDTime$

Global csv_path$, csv_filename$
Global opt_path$, opt_filename$
Global mpn_path$, mpn_filename$
Global mpt_path$, mpt_filename$
Global nak_path$, nak_filename$
Global nmp_path$, nmp_filename$

Global num_chkboxes_p1%, num_chkboxes_p2%, num_chkboxes_aspects%

Global tn_or_tt_or_tnak%

Global num_days_for_aspectarian%

Global StartJD As Double, EndJD As Double

Global cancel_flag%

Global RejectAgree%

'number of planets and points to keep track of - see above under Arrays
Global num_geo_planets%
Global num_house_cusps%
Global num_points%
Global num_arabic_parts%
Global num_tnps%
Global num_dwarfs%
Global num_asteroids%

'the below are used in fetching data from "planet_constants_and_indexes.txt"
Global planet_constant_name$()
Global planet_constant_index() As Long
Global num_pl_constants%

'variables used for planets
'number of planets and points to keep track of - see below under Arrays
Global NumberOfPlanets%
Global num_lunar_mansions%, num_t_to_n_midpoints%, num_t_to_t_midpoints%, num_natal_midpoints%
Global planet_names() As String                 'names on checkboxes
Global pl_ephem_number() As Long            'stores planet # needed by Swiss ephemeris
Global pl_idx_number() As Integer              'store planet index number determined by order in planets_used.txt file
Global pl_name$()
'g = geo, c = house cusp, p = point, l = Arabic Part, a = asteroid
Global pl_type$()

'colors used in program
Global clr_black As Long
Global clr_white As Long
Global clr_yellow As Long
Global clr_red As Long
Global clr_green As Long
Global clr_blue As Long
Global clr_light_blue As Long
Global clr_gray As Long
Global clr_another_red As Long
Global clr_another_blue As Long
Global clr_another_gray As Long
Global clr_lime As Long

'--------------------------------------------------------------------------------------
'used in ACS Atlas routines
'atlas_present% = 0 if no atlas present, else 1 = ACS Atlas present (checked in Form_Load of Finding_Lucky_Times.frm)
'which_atlas% = 1 if from InputD, 2 if from InputD1
Global atlas_present%, which_atlas%

'--------------------------------------------------------------------------------------
'used in generation of Swiss ephemeris data
Global iday%, imonth%, iyear%, ihour!, imin!, tjd_ut, tdj_et, lon, lat


'Arrays
'------
'these arrays hold the natal and transit positions of the planets - longitude, declination, and of occupation
'the order of the planets is Sun, Mercury, Venus - Pluto, Moon, N. Node, S. Node, Part of Fortune, Asc, and MC
'16 total at present
Global Natal(), NatalSpeed()
Global Transit(), TransitSpeed()
Global Natal_Decl()
Global Natal_MP(), Natal_MP_Speed()

'0 = full midpoint name, like Jupiter/Saturn or "Nak-03, pada 4/Saturn"
'1 = planet 1 name, like Jupiter or "Nak-03, pada 4"
'2 = planet 2 name, like Saturn
'3 = planet 1 ephem code for swe_calc, like 5 - or lunar mansion degree, like 243.333333 for index 73
'4 = planet 2 ephem code for swe_calc, like 6
'5 = planet 1 type, like "g" or "lm"
'6 = planet 2 type, like "g"
'7 = planet 1 index number into pl_name$() and planet_names$() - or index into Nakshatras, 1 - 107
'8 = planet 2 index number into pl_name$() and planet_names$()
'9 = 0 means transit to natal, 1 means transit to transit, 2 means lunar mansion to transit
'      3 means transit planet to natal midpoint, 4 means transit midpoint to natal midpoint
Global mp_data() As Variant
Global mp_longitude As Double

'Planets() holds temporary planetary longitude data
Global Planets(), Speed()

'array that holds the option settings
Global XOPTION!(24)

'arrays used for input data storage from your .FIL data files
Global DataFile1$(), DataFile2$(), DataFile3$(), DataFile4$()
Global DataFile5$(), DataFile6$(), DataFile7$(), DataFile8$()
Global DataFile9$(), DataFile10$()

'arrays used to hold the data in the text displays in the OutputD1 form
Global OutputLines$(), TextOnForm$()


'Variables
'---------
'names of files and file directories
Global CancelFlag%
Global OutputNameFileCSVFile As String, CSVFileParsedPathName$, csv_short_filename$

'variables used in text display of data
Global Buffer As String, LineCounter&, TextLineCounter&

'miscellaneous variables and strings
Global ax1 As String, aax1$, d1 As String, d2 As String
Global crlf As String, crlf_rtf As String, DiurnalD1 As String, DiurnalD2 As String
Global Retrograde As String
Global Latitude As String, Longitude As String
Global ph As String, SX1$, SiderealTime$
Global HS$, DiurnalDate As String
Global AtlasDirectory$
Global NatalH As String, NatalD1 As String, NatalD2 As String
Global NatalDate As String, NatalBirthTime$
Global NewTimeAMPM$
Global TransitH As String, DiurnalBirthTime$
Global MasterFontName As String
Global SelectedFile As String, NameOfFile As String, OutputNameFile As String
Global DefaultDirectory As String, Calendar$
Global natal_data_list$, diurnal_data_list$, sign_data$, sign_data_x$, xy$
Global CurrentNamesFile$
Global ParsedPathName$, txt_rtf%, TextOnRTFForm$
Global DataPath$, AtlasLongitude$, AtlasLatitude$, AtlasTimeZone!, ErrFlag%
Global AtlasState_Country$, AtlasCity$
Global RSVP%, idx%

'variables to hold current P2 date and time so it can be restored
Global p2_m$, p2_d$, p2_y$, p2_hr$, p2_min$, p2_am_pm$, upd_amt$

Global response_msg$, response_title$, user_response$

Global XCaption$, vrs$
Global unknown_birth_time1 As Boolean
Global unknown_birth_time2 As Boolean

Global MasterFontSize
Global MasterFontBold, MasterFontItalic, CurrentHelpFile$
Global PlanetScaling, InputErrorFlag%
Global Help1%, ShellWorked&
Global DataWindowTop%, DataWindowLeft&, DataWindowHeight%, DataWindowWidth%
Global GridFormWindowTop%, GridFormWindowLeft&, GridFormWindowHeight%, GridFormWindowWidth%
Global lunar_mansions_form_FormWindowTop%, lunar_mansions_form_FormWindowLeft&
Global Midpoints_t_to_n_FormWindowTop%, Midpoints_t_to_n_FormWindowLeft&
Global Midpoints_t_to_t_FormWindowTop%, Midpoints_t_to_t_FormWindowLeft&
Global Midpoints_t_to_nmp_FormWindowTop%, Midpoints_t_to_nmp_FormWindowLeft&
Global MyiDate%, MyiTime%, NotDo%

Global A, AB, AL, ARF, AU, aa, AX, AP%, Ascendant
Global B, BK, BR, BETA
Global C, c1, CA, CO, col, CORR, CR
Global d, DA, DD, DiurnalYear%
Global DAYY, DiurnalDay%, DiurnalMonth%
Global DiurnalTime!, DiurnalTimeZone!, DiurnalLong!, DiurnalLat!, DiurnalJD, Diurnal_F
Global e, EX, F, FE, FR, FX, FZ
Global G
Global h, HOUSEY
Global I, IM, INDEXY
Global J, JD, JU, jdx
Global K, KK, L, LF1, LA, LG, LO
Global LAMBDA, LL, LongX
Global m, mm, MA, ML, MLN, MLN_Decl, MO
Global n, NU
Global NatalDay%, NatalMonth%, NatalYear%, NatalTime!
Global NatalTimeZone!, NatalLong!, NatalLat!, NatalJD
Global O, OA, OB
Global p, PI, PL, PT, q
Global R, R1, RD, RA, RAMC, row, RHO, Report_Type%
Global s, s1, s2, s3, SP, SS, SPoint
Global t, temp, Temp1, TEMP2X, TEMP3X, TEMP7, TEMP19, TH, TT, TLN, TLN_Decl
Global U, update_hr%, update_min%
Global v#
Global w
Global x, X1, XJD, xx, XYear, XMonth, XDAY, XIM
Global y, Y1
Global z, Z1, z2, z2a, z3, Z4, ZETA


'Windows variable definition
' MsgBox parameters
Global Const MB_OK = 0                 ' OK button only
Global Const MB_OKCANCEL = 1           ' OK and Cancel buttons
Global Const MB_ABORTRETRYIGNORE = 2   ' Abort, Retry, and Ignore buttons
Global Const MB_YESNOCANCEL = 3        ' Yes, No, and Cancel buttons
Global Const MB_YESNO = 4              ' Yes and No buttons
Global Const MB_RETRYCANCEL = 5        ' Retry and Cancel buttons

Global Const MB_ICONSTOP = 16          ' Critical message
Global Const MB_ICONQUESTION = 32      ' Warning query
Global Const MB_ICONEXCLAMATION = 48   ' Warning message
Global Const MB_ICONINFORMATION = 64   ' Information message

Global Const MB_APPLMODAL = 0          ' Application Modal Message Box
Global Const MB_DEFBUTTON1 = 0         ' First button is default
Global Const MB_DEFBUTTON2 = 256       ' Second button is default
Global Const MB_DEFBUTTON3 = 512       ' Third button is default
Global Const MB_SYSTEMMODAL = 4096      'System Modal

' MsgBox return values
Global Const IDOK = 1                  ' OK button pressed
Global Const IDCANCEL = 2              ' Cancel button pressed
Global Const IDABORT = 3               ' Abort button pressed
Global Const IDRETRY = 4               ' Retry button pressed
Global Const IDIGNORE = 5              ' Ignore button pressed
Global Const IDYES = 6                 ' Yes button pressed
Global Const IDNO = 7                  ' No button pressed

'File Open/Save Dialog Flags
Global Const OFN_READONLY = &H1&
Global Const OFN_OVERWRITEPROMPT = &H2&
Global Const OFN_HIDEREADONLY = &H4&
Global Const OFN_NOCHANGEDIR = &H8&
Global Const OFN_SHOWHELP = &H10&
Global Const OFN_NOVALIDATE = &H100&
Global Const OFN_ALLOWMULTISELECT = &H200&
Global Const OFN_EXTENSIONDIFFERENT = &H400&
Global Const OFN_PATHMUSTEXIST = &H800&
Global Const OFN_FILEMUSTEXIST = &H1000&
Global Const OFN_CREATEPROMPT = &H2000&
Global Const OFN_SHAREAWARE = &H4000&
Global Const OFN_NOREADONLYRETURN = &H8000&

'Text Box Flags
Global Const WM_USER = &H400
Global Const EM_SETREADONLY = (WM_USER + 31)

